Subject: RE: Path MTU in node-requirements [was Re: FW: Evaluation of: draft-ietf-ipv6-node-requirements-07.txt ]

From: [email-masked]
Date: Wed, 31 Dec 2003 08:28:27 +0200

Hi Jari,

As this point was raised several times on the list, I think your
text should cover the concerns covered.  I agree that 2460
essentially requires a SHOULD in the node-requirements.

thanks,
John

> -----Original Message-----
> From: ext Jari Arkko [mailto:[email-masked]]
> Sent: 30 December, 2003 22:51
> To: Thomas Narten
> Cc: Loughney John (NRC/Helsinki); [email-masked]
> Subject: Re: Path MTU in node-requirements [was Re: FW: Evaluation of:
> draft-ietf-ipv6-node-requirements-07.txt ]
> 
> 
> Thomas,
> 
> > Seems to me, given the above wording, 2460 says Path MTU is 
> a SHOULD,
> > not a MAY. Note that the MAY is about _not_ implementing it (in some
> > situations), not a "MAY" implement it in some subset of the comment
> > cases.
> > 
> > I.e, if node-requirements says MAY, I think that is a downgrade from
> > the SHOULD in 2460 as quoted above. I don't think this 
> document should
> > be doing that.
> 
> I agree that the node requirements document should follow what 2460
> says.
> 
> Taking a new look at a the text, it does indeed sound more like a
> "SHOULD normally implement but MAY not implement in some cases".
> 
> RECOMMENDED is a synonym for SHOULD, and upper/lower case usually (?)
> should not matter when interpreting protocol requirements.
> 
> Suggested node requirements text change:
> 
>     4.3.1 Path MTU Discovery - RFC1981
> 
>     Path MTU Discovery [RFC-1981] MAY be supported.  It is 
> expected that
>     most implementations will indeed support this, although 
> the possible
>     exception cases are sufficient that the used of "SHOULD" is not
>     justified.  The rules in RFC 2460 MUST be followed for packet
>     fragmentation and reassembly.
> 
> =>
> 
>     4.3.1 Path MTU Discovery - RFC1981
> 
>     Path MTU Discovery [RFC-1981] SHOULD be supported, though minimal
>     implementations MAY choose to not support it and avoid 
> large packets.
>     The rules in RFC 2460 MUST be followed for packet 
> fragmentation and
>     reassembly.
> 
> --Jari
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------